/****************************************************************************

    LanguageWt Class
    Copyright (C) 2018 Andre Deperrois

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA

*****************************************************************************/

#pragma once

#include <QWidget>
#include <QPushButton>
#include <QListWidget>
#include <QStringList>


class LanguageWt : public QWidget
{
    Q_OBJECT

    friend class MainFrame;
public:
    LanguageWt(QWidget *pParent);

    void hideEvent(QHideEvent *pEvent);

public slots:
    void readLanguage();

private:
    void setupLayout();
    void initWidget();
    QStringList findQmFiles();
    QString languageName(const QString &qmFile);

    QListWidget *m_pctrlLanguageList;
    QMap<QString, QString> qmFileForLanguage;

    bool m_bChanged;

};

